VirtualMachineError (Java Card API, Connected Edition)
Date: 2009-12-11

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class VirtualMachineError

    java.lang.Object
      java.lang.Throwable
          java.lang.Error
              java.lang.VirtualMachineError

Direct Known Subclasses:
  OutOfMemoryError

    @TransactionType(value=NOT_SUPPORTED)
    public abstract class VirtualMachineError

extends Error

Thrown to indicate that the Java Virtual Machine is broken or has run out of resources necessary for it to continue operating.

Direct instances of this error class are not bound to any context and can be passed between contexts without any restrictions. Objects created and returned by the methods of this class are owned by the caller. In particular, a call to the `Throwable.getMessage()` returns a String instance bound to the owner context of the caller.

See Runtime Environment Specification for the Java Card Platform, Connected Edition, chapter 7 for details regarding transfer of ownership.

Since:
  JDK1.0, CLDC 1.0, Java Card 3.0

Constructor Summary
`VirtualMachineError()` Constructs a `VirtualMachineError` with no detail message.
`VirtualMachineError(String s)` Constructs a `VirtualMachineError` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`getMessage, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualMachineError

    public VirtualMachineError()

  Constructs a `VirtualMachineError` with no detail message.

### VirtualMachineError

    public VirtualMachineError(String s)

  Constructs a `VirtualMachineError` with the specified detail message.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2009 Sun Microsystems, Inc. All rights reserved.